"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DOMUtils = {
    deleteNode(node) {
        if (node.parentNode) {
            node.parentNode.removeChild(node);
        }
        else {
            node.outerHTML = '';
        }
        node = undefined;
    },
    appendToAttr(node, attr, val) {
        const oldVal = node.getAttribute(attr);
        const valToSet = oldVal ? `${oldVal} ${val}` : val;
        node.setAttribute(attr, valToSet);
    },
    nextElementSibling(node) {
        let sibling = node.nextSibling;
        while (sibling && sibling.nodeType !== 1 /* ELEMENT_NODE */) {
            sibling = sibling.nextSibling;
        }
        return sibling;
    },
};
exports.default = DOMUtils;
//# sourceMappingURL=DOMUtils.js.map