"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Logger {
    getTs() {
        return (new Date()).toISOString();
    }
    info(...args) {
        if (!!process.verbose) {
            console.info(`[info] [${this.getTs()}]`, ...args);
        }
    }
    log(...args) {
        console.log(`[log] [${this.getTs()}]`, ...args);
    }
    warn(...args) {
        if (!!process.verbose) {
            console.warn(`[warn] [${this.getTs()}]`, ...args);
        }
    }
    error(...args) {
        console.error(`[error] [${this.getTs()}]`, ...args);
    }
    logifyArray(arr) {
        if (arr.length < 3) {
            return JSON.stringify(arr);
        }
        else {
            const ret = arr.slice(0, 1).concat(`+${arr.length - 2} more +`).concat(arr[arr.length - 1]);
            return JSON.stringify(ret);
        }
    }
}
// export default Logger;
const logger = new Logger();
exports.default = logger;
//# sourceMappingURL=Logger.js.map