import type Downloader from './Downloader';
declare class MediaWiki {
    metaData: MWMetaData;
    readonly baseUrl: URL;
    readonly modulePath: string;
    readonly webUrl: URL;
    readonly apiUrl: URL;
    readonly veApiUrl: URL;
    readonly restApiUrl: URL;
    readonly mobileRestApiUrl: URL;
    readonly desktopRestApiUrl: URL;
    readonly getCategories: boolean;
    readonly namespaces: MWNamespaces;
    readonly namespacesToMirror: string[];
    private readonly wikiPath;
    private readonly username;
    private readonly password;
    private readonly apiPath;
    private readonly domain;
    private readonly articleApiUrlBase;
    constructor(config: MWConfig);
    login(downloader: Downloader): Promise<void>;
    siteInfoUrl(): string;
    articleApiUrl(articleId: string): string;
    subCategoriesApiUrl(articleId: string, continueStr?: string): string;
    getVeApiArticleUrl(articleId: string): string;
    getDesktopRestApiArticleUrl(articleId: string): string;
    getMobileRestApiArticleUrl(articleId: string): string;
    getApiQueryUrl(query?: string): string;
    getWebArticleUrlRaw(articleId: string): string;
    getNamespaces(addNamespaces: number[], downloader: Downloader): Promise<void>;
    extractPageTitleFromHref(href: any): any;
    getCreatorName(): string;
    getTextDirection(downloader: Downloader): Promise<TextDirection>;
    getSiteInfo(downloader: Downloader): Promise<{
        mainPage: string;
        siteName: any;
        langIso2: string;
        langIso3: string;
    }>;
    getSubTitle(downloader: Downloader): Promise<string>;
    getMwMetaData(downloader: Downloader): Promise<MWMetaData>;
}
export default MediaWiki;
