"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.subPagesTemplate = exports.subCategoriesTemplate = exports.categoriesTemplate = exports.articleListHomeTemplate = exports.htmlTemplateCode = exports.subSectionTemplate = exports.sectionTemplate = exports.leadSectionTemplate = exports.footerTemplate = void 0;
const swig_templates_1 = __importDefault(require("swig-templates"));
const path_1 = __importDefault(require("path"));
const config_1 = require("./config");
const fs_1 = require("fs");
const util_1 = require("./util");
function readTemplate(t) {
    return fs_1.readFileSync(path_1.default.resolve(__dirname, '../res', t), 'utf-8');
}
/* Compile templates */
const footerTemplate = swig_templates_1.default.compile(readTemplate(config_1.config.output.templates.footer));
exports.footerTemplate = footerTemplate;
const leadSectionTemplate = swig_templates_1.default.compile(readTemplate(config_1.config.output.templates.lead_section_wrapper));
exports.leadSectionTemplate = leadSectionTemplate;
const sectionTemplate = swig_templates_1.default.compile(readTemplate(config_1.config.output.templates.section_wrapper));
exports.sectionTemplate = sectionTemplate;
const subSectionTemplate = swig_templates_1.default.compile(readTemplate(config_1.config.output.templates.subsection_wrapper));
exports.subSectionTemplate = subSectionTemplate;
const categoriesTemplate = swig_templates_1.default.compile(readTemplate(config_1.config.output.templates.categories));
exports.categoriesTemplate = categoriesTemplate;
const subCategoriesTemplate = swig_templates_1.default.compile(readTemplate(config_1.config.output.templates.subCategories));
exports.subCategoriesTemplate = subCategoriesTemplate;
const subPagesTemplate = swig_templates_1.default.compile(readTemplate(config_1.config.output.templates.subPages));
exports.subPagesTemplate = subPagesTemplate;
const htmlTemplateCode = (articleId) => {
    const cssLinks = config_1.config.output.cssResources.reduce((buf, css) => {
        return buf + util_1.genHeaderCSSLink(config_1.config, css, articleId);
    }, '');
    const jsScripts = config_1.config.output.jsResources.reduce((buf, js) => {
        return buf + util_1.genHeaderScript(config_1.config, js, articleId);
    }, '');
    return readTemplate(config_1.config.output.templates.page)
        .replace('__CSS_LINKS__', cssLinks)
        .replace('__JS_SCRIPTS__', jsScripts);
};
exports.htmlTemplateCode = htmlTemplateCode;
const articleListHomeTemplate = readTemplate(config_1.config.output.templates.articleListHomeTemplate);
exports.articleListHomeTemplate = articleListHomeTemplate;
//# sourceMappingURL=Templates.js.map