declare const config: {
    userAgent: string;
    defaults: {
        publisher: string;
        redisConfig: {
            host: string;
            port: number;
        };
        requestTimeout: number;
    };
    filters: {
        cssClassBlackList: string[];
        nodetCssClassBlackList: string[];
        cssClassBlackListIfNoLink: string[];
        cssClassDisplayList: string[];
        cssClassCallsBlackList: string[];
        idBlackList: string[];
        blackListCssModules: string[];
    };
    output: {
        cssResources: string[];
        mainPageCssResources: string[];
        jsResources: string[];
        mw: {
            css: string[];
            js: string[];
        };
        dirs: {
            mediawiki: string;
        };
        templates: {
            page: string;
            categories: string;
            subCategories: string;
            subPages: string;
            articleListHomeTemplate: string;
            footer: string;
            lead_section_wrapper: string;
            section_wrapper: string;
            subsection_wrapper: string;
        };
    };
};
declare type Config = typeof config;
export { config, Config, };
