"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.redirectsXId = exports.populateRedirects = exports.articleDetailXId = exports.populateArticleDetail = exports.filesToRetryXPath = exports.populateFilesToRetry = exports.filesToDownloadXPath = exports.populateFilesToDownload = void 0;
const RedisKvs_1 = require("./util/RedisKvs");
function populateFilesToDownload(redisClient) {
    exports.filesToDownloadXPath = new RedisKvs_1.RedisKvs(redisClient, `${Date.now()}-media`, {
        u: 'url',
        n: 'namespace',
        m: 'mult',
        w: 'width',
    });
}
exports.populateFilesToDownload = populateFilesToDownload;
function populateFilesToRetry(redisClient) {
    exports.filesToRetryXPath = new RedisKvs_1.RedisKvs(redisClient, `${Date.now()}-media-retry`, {
        u: 'url',
        n: 'namespace',
        m: 'mult',
        w: 'width',
    });
}
exports.populateFilesToRetry = populateFilesToRetry;
function populateArticleDetail(redisClient) {
    exports.articleDetailXId = new RedisKvs_1.RedisKvs(redisClient, `${Date.now()}-detail`, {
        s: 'subCategories',
        c: 'categories',
        p: 'pages',
        h: 'thumbnail',
        g: 'coordinates',
        t: 'timestamp',
        r: 'revisionId',
        i: 'internalThumbnailUrl',
        m: 'missing',
        n: 'title',
    });
}
exports.populateArticleDetail = populateArticleDetail;
function populateRedirects(redisClient) {
    exports.redirectsXId = new RedisKvs_1.RedisKvs(redisClient, `${Date.now()}-redirect`, {
        t: 'targetId',
        n: 'title',
    });
}
exports.populateRedirects = populateRedirects;
//# sourceMappingURL=stores.js.map