import type { RedisClient } from 'redis';
interface ScanResult {
    cursor: string;
    items: string[][];
}
export declare class RedisKvs<T> {
    private redisClient;
    private readonly dbName;
    private readonly keyMapping?;
    private readonly invertedKeyMapping?;
    constructor(redisClient: RedisClient, dbName: string, keyMapping?: {
        [key: string]: string;
    });
    get(prop: string): Promise<T>;
    getMany(prop: string[]): Promise<KVS<T>>;
    exists(prop: string[]): Promise<{
        [key: string]: number;
    }>;
    set(prop: string, val: T): Promise<unknown>;
    setMany(val: KVS<T>): Promise<unknown>;
    delete(prop: string): Promise<unknown>;
    deleteMany(prop: string[]): Promise<unknown>;
    keys(): Promise<string[]>;
    len(): Promise<number>;
    iterateItems(numWorkers: number, func: (items: KVS<T>, workerId: number) => Promise<void>): Promise<void>;
    scan(scanCursor: string): Promise<ScanResult>;
    flush(): Promise<void>;
    private mapKeysGet;
    private mapKeysSet;
}
export {};
