"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeArticleImageTile = exports.makeArticleListItem = void 0;
const util_1 = require("../util");
function makeArticleListItem(dump, articleEntry) {
    return `<li><a href="${util_1.encodeArticleIdForZimHtmlUrl(articleEntry.title.replace(/ /g, '_'))}">${articleEntry.title.replace(/_/g, ' ') || ''}<a></li>\n`;
}
exports.makeArticleListItem = makeArticleListItem;
function makeArticleImageTile(dump, articleEntry, webp) {
    return `<a class="item" href="${util_1.encodeArticleIdForZimHtmlUrl(articleEntry.title.replace(/ /g, '_'))}">
            <figure><img loading="lazy" src="${articleEntry.internalThumbnailUrl +
        (webp && util_1.isWebpCandidateImageUrl(articleEntry.internalThumbnailUrl) ? '.webp' : '')}" />
            <figcaption>${(articleEntry.title || '').replace(/_/g, ' ')}</figcaption></figure></a>\n`;
}
exports.makeArticleImageTile = makeArticleImageTile;
//# sourceMappingURL=articleListMainPage.js.map