/// <reference types="node" />
import { ZimCreator } from '@openzim/libzim';
import { Config } from '../config';
export declare function isValidEmail(email: string): boolean;
export declare function lcFirst(str: string): string;
export declare function ucFirst(str: string): string;
declare function _decodeURIComponent(uri: string): string;
export { _decodeURIComponent as decodeURIComponent };
export declare function touch(paths: string[] | string): void;
export declare function getFullUrl(url: string, baseUrl: URL | string): string;
export declare function getSizeFromUrl(url: string): {
    mult: number;
    width: number;
};
export declare function randomString(len: number): string;
export declare function mkdirPromise(path: string): any;
export declare function writeFilePromise(path: string, content: string | Buffer, encoding?: string): Promise<unknown>;
export declare function readFilePromise(path: string, encoding?: string): Promise<string | Buffer>;
export declare function contains(arr: any[], value: any): boolean;
export declare function migrateChildren(from: any, to: any, beforeNode: any): void;
export declare function getStringsForLang(language: string, fallbackLanguage?: string): {
    [id: string]: string;
};
export declare function interpolateTranslationString(str: string, parameters: {
    [key: string]: string;
}): string;
export declare function saveStaticFiles(config: Config, zimCreator: ZimCreator): Promise<void[]>;
export declare function cssPath(css: string, subDirectory?: string): string;
export declare function jsPath(js: string, subDirectory?: string): string;
export declare function genHeaderCSSLink(config: Config, css: string, articleId: string, subDirectory?: string): string;
export declare function genHeaderScript(config: Config, js: string, articleId: string, subDirectory?: string): string;
export declare function genCanonicalLink(config: Config, webUrl: string, articleId: string): string;
export declare function getDumps(format: boolean | boolean[]): any[];
export declare function getIso3(langIso2: string): Promise<string>;
export declare function getMediaBase(url: string, escape: boolean): string;
export declare function getStrippedTitleFromHtml(html: string): string;
export declare function zip(...args: any[][]): any[][];
export declare function deDup<T>(_arr: T[], getter: (o: T) => any): T[];
export declare function getRelativeFilePath(parentArticleId: string, fileBase: string, resourceNamespace: 'I' | 'A' | 'M' | '-'): string;
export declare function normalizeModule(path: string): string;
export declare function isNodeModule(path: string): boolean;
export declare function objToQueryString(obj: KVS<any>): string;
export declare function sanitizeString(str: string): string;
export declare function encodeArticleIdForZimHtmlUrl(articleId: string): string;
export declare function ensureTrailingChar(input: string, trailingChar: string): string;
export declare function stripHttpFromUrl(url: string): string;
export declare function isImageUrl(url: string): boolean;
export declare function isWebpCandidateImageUrl(url: string): boolean;
export declare function isImageMimeType(mimeType: string): boolean;
export declare function isBitmapImageMimeType(mimeType: string): boolean;
export declare function isWebpCandidateImageMimeType(webp: boolean, content_type: string): boolean;
