"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getArticleIds = void 0;
const p_map_1 = __importDefault(require("p-map"));
const mw_api_1 = require("./mw-api");
function getArticleIds(downloader, mw, mainPage, articleIds) {
    return __awaiter(this, void 0, void 0, function* () {
        if (mainPage) {
            yield mw_api_1.getArticlesByIds([mainPage], downloader);
        }
        if (articleIds) {
            yield mw_api_1.getArticlesByIds(articleIds, downloader);
        }
        else {
            yield p_map_1.default(mw.namespacesToMirror, (namespace) => {
                return mw_api_1.getArticlesByNS(mw.namespaces[namespace].num, downloader);
            }, { concurrency: downloader.speed });
        }
    });
}
exports.getArticleIds = getArticleIds;
//# sourceMappingURL=redirects.js.map