import Downloader from '../Downloader';
import MediaWiki from '../MediaWiki';
import { ZimCreator } from '@openzim/libzim';
import { Dump } from '../Dump';
import { RedisKvs } from './RedisKvs';
declare type FileStore = RedisKvs<{
    url: string;
    namespace?: string;
    mult?: number;
    width?: number;
}>;
export declare function downloadFiles(fileStore: FileStore, zimCreator: ZimCreator, dump: Dump, downloader: Downloader, retryLater?: boolean): Promise<void>;
export declare function saveArticles(zimCreator: ZimCreator, downloader: Downloader, mw: MediaWiki, dump: Dump): Promise<{
    jsModuleDependencies: Set<string>;
    cssModuleDependencies: Set<string>;
}>;
export declare function treatVideo(mw: MediaWiki, dump: Dump, srcCache: KVS<boolean>, articleId: string, videoEl: DominoElement, webp: boolean): Promise<{
    mediaDependencies: string[];
    subtitles: string[];
}>;
export declare function treatSubtitle(trackEle: DominoElement, mw: MediaWiki, articleId: string): Promise<string>;
export declare function treatMedias(parsoidDoc: DominoElement, mw: MediaWiki, dump: Dump, articleId: string, downloader: Downloader): Promise<{
    doc: any;
    mediaDependencies: string[];
    subtitles: string[];
}>;
export declare function applyOtherTreatments(parsoidDoc: DominoElement, dump: Dump): any;
export declare function isMirrored(id: string): Promise<ArticleDetail>;
export {};
